import { jsx as e } from "react/jsx-runtime";
import { createTheme as t, useTheme as i } from "@mui/material";
import { DID_CONNECT_THEME_LIGHT as T, DID_CONNECT_THEME_DARK as c } from "@blocklet/theme";
import "../Theme/theme.js";
import p from "../Theme/theme-provider.js";
const f = t(T), s = t(c);
function d(o) {
  function r(m) {
    const { palette: n } = i(), h = n.mode === "dark" ? s : f;
    return /* @__PURE__ */ e(p, { theme: h, children: /* @__PURE__ */ e(o, { ...m }) });
  }
  return r;
}
export {
  d as default
};
